Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Data
Class AnnouncementData

    java.lang.Object
      Data.AnnouncementData

public class AnnouncementData
extends java.lang.Object

Author:
  student This class is being used for getting and setting announcement data

Constructor Summary
`AnnouncementData()` Constructor for AnnouncementData.java
`AnnouncementData(java.lang.String from, java.lang.String body, java.lang.String subject, java.sql.Timestamp time)` Constructor for AnnouncementData.java with parameters

Method Summary
`java.lang.String` | `getBody()` This method is being used to get the body of the announcement.
`java.lang.String` | `getFrom()` This method is being used to get the Firstname and the lastname of the person who posted the announcement.
`java.lang.String` | `getSubject()` This method is being used to get the subject of the announcement.
`java.sql.Timestamp` | `getTime()` This method is being used to get the time the announcement was posted.
`void` | `setBody(java.lang.String body)` This method is being used to set the body of the announcement
`void` | `setFrom(java.lang.String from)` This method is being used set the Firstname and the lastname of the person who posted the announcement.
`void` | `setSubject(java.lang.String subject)` This method is being used to set the subject of the announcement.
`void` | `setTime(java.sql.Timestamp time)` This method is being used to set the time the announcement was posted.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnouncementData

    public AnnouncementData()

  Constructor for AnnouncementData.java

### AnnouncementData

    public AnnouncementData(java.lang.String from,
                            java.lang.String body,
                            java.lang.String subject,
                            java.sql.Timestamp time)

  Constructor for AnnouncementData.java with parameters

Method Detail

### getFrom

    public java.lang.String getFrom()

  This method is being used to get the Firstname and the lastname of the person who posted the announcement.

  Returns:
    String The person who posted the announcement.

### setFrom

    public void setFrom(java.lang.String from)

  This method is being used set the Firstname and the lastname of the person who posted the announcement.

  Parameters:
    `from` - the person who posted the announcement.
  Returns:
    void

### getBody

    public java.lang.String getBody()

  This method is being used to get the body of the announcement.

  Returns:
    String body of the announcement.

### setBody

    public void setBody(java.lang.String body)

  This method is being used to set the body of the announcement

  Parameters:
    `body` - Body of the announcement
  Returns:
    void

### getSubject

    public java.lang.String getSubject()

  This method is being used to get the subject of the announcement.

  Returns:
    String the subject of the announcement.

### setSubject

    public void setSubject(java.lang.String subject)

  This method is being used to set the subject of the announcement.

  Returns:
    void

### getTime

    public java.sql.Timestamp getTime()

  This method is being used to get the time the announcement was posted.

  Returns:
    Timestamp time the announcement was posted.

### setTime

    public void setTime(java.sql.Timestamp time)

  This method is being used to set the time the announcement was posted.

  Returns:
    void

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD